Your message dated Fri, 13 Apr 2018 12:07:58 +0000
with message-id <e1f6xuk-000itj...@fasolo.debian.org>
and subject line Bug#895434: fixed in strongswan 5.6.2-2
has caused the Debian Bug report #895434,
regarding Drop (unused) Build-Depends on network-manager-dev
to be marked as done.

This means that you claim that the problem has been dealt with.
If this is not the case it is now your responsibility to reopen the
Bug report if necessary, and/or fix the problem forthwith.

(NB: If you are a system administrator and have no idea what this
message is talking about, this may indicate a serious mail system
misconfiguration somewhere. Please contact ow...@bugs.debian.org
immediately.)


-- 
895434: https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=895434
Debian Bug Tracking System
Contact ow...@bugs.debian.org with problems
--- Begin Message ---
Source: strongswan
Version: 5.6.2-1
Severity: wishlist
User: pkg-utopia-maintain...@lists.alioth.debian.org
Usertags: libnm

Hi,

strongswan declares a Build-Depends on network-manager-dev. Afaics,
configure only checks for libnm though:
PKG_CHECK_MODULES(nm, [gthread-2.0 libnm])
For that, it has the correct libnm-dev Build-Depends.

Can you please check, if the network-manager-dev Build-Depends is still
needed and drop it otherwise.

Regards,
Michael

-- System Information:
Debian Release: buster/sid
  APT prefers unstable
  APT policy: (500, 'unstable'), (200, 'experimental')
Architecture: amd64 (x86_64)
Foreign Architectures: i386

Kernel: Linux 4.15.0-2-amd64 (SMP w/4 CPU cores)
Locale: LANG=de_DE.UTF-8, LC_CTYPE=de_DE.UTF-8 (charmap=UTF-8), 
LANGUAGE=de_DE.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash
Init: systemd (via /run/systemd/system)
LSM: AppArmor: enabled

--- End Message ---
--- Begin Message ---
Source: strongswan
Source-Version: 5.6.2-2

We believe that the bug you reported is fixed in the latest version of
strongswan, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 895...@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Yves-Alexis Perez <cor...@debian.org> (supplier of updated strongswan package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmas...@ftp-master.debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA512

Format: 1.8
Date: Fri, 13 Apr 2018 13:46:04 +0200
Source: strongswan
Binary: strongswan libstrongswan libstrongswan-standard-plugins 
libstrongswan-extra-plugins libcharon-extra-plugins strongswan-starter 
strongswan-libcharon strongswan-charon strongswan-nm charon-cmd strongswan-pki 
strongswan-scepclient strongswan-swanctl charon-systemd
Architecture: source
Version: 5.6.2-2
Distribution: unstable
Urgency: medium
Maintainer: strongSwan Maintainers <pkg-swan-de...@lists.alioth.debian.org>
Changed-By: Yves-Alexis Perez <cor...@debian.org>
Description:
 charon-cmd - standalone IPsec client
 charon-systemd - strongSwan IPsec client, systemd support
 libcharon-extra-plugins - strongSwan charon library (extra plugins)
 libstrongswan - strongSwan utility and crypto library
 libstrongswan-extra-plugins - strongSwan utility and crypto library (extra 
plugins)
 libstrongswan-standard-plugins - strongSwan utility and crypto library 
(standard plugins)
 strongswan - IPsec VPN solution metapackage
 strongswan-charon - strongSwan Internet Key Exchange daemon
 strongswan-libcharon - strongSwan charon library
 strongswan-nm - strongSwan plugin to interact with NetworkManager
 strongswan-pki - strongSwan IPsec client, pki command
 strongswan-scepclient - strongSwan IPsec client, SCEP client
 strongswan-starter - strongSwan daemon starter and configuration file parser
 strongswan-swanctl - strongSwan IPsec client, swanctl command
Closes: 895434
Changes:
 strongswan (5.6.2-2) unstable; urgency=medium
 .
   * charon-nm: Fix building list of DNS/MDNS servers with libnm
   * d/control: drop b-d on n-m-dev and make libnm-dev linux-any
     (closes: #895434)
   * d/compat bumped to 10
   * d/rules: drop parallel and autoreconf from dh, done with compat 10
Checksums-Sha1:
 3a42de00eaf1acf17d23a8f88e964b4a38a48186 3187 strongswan_5.6.2-2.dsc
 3c38d4fe4c733f101db7bbf4708f41abe0bb461b 126988 
strongswan_5.6.2-2.debian.tar.xz
 030d838110e2d04e2b815156672df82b49286019 15996 
strongswan_5.6.2-2_amd64.buildinfo
Checksums-Sha256:
 8e7eeaa9c8ab4c07568b86ea543d190896a6e71397baf72a2b45c99f7c06a06f 3187 
strongswan_5.6.2-2.dsc
 f8247f2deee9971f58c31e609e933149086eeb501883ac91ebbac314984ad6ec 126988 
strongswan_5.6.2-2.debian.tar.xz
 29b4334655c575fe31b6c07100b96c71868298158f2e07e5bb9d7cda101a020a 15996 
strongswan_5.6.2-2_amd64.buildinfo
Files:
 3ec92c9d87fbed1bf9980747342de01f 3187 net optional strongswan_5.6.2-2.dsc
 7b456e6e309f516b72bdfe8b543f2b1c 126988 net optional 
strongswan_5.6.2-2.debian.tar.xz
 a284f154a315be096727e32b525f9f07 15996 net optional 
strongswan_5.6.2-2_amd64.buildinfo

-----BEGIN PGP SIGNATURE-----

iQEzBAEBCgAdFiEE8vi34Qgfo83x35gF3rYcyPpXRFsFAlrQmwQACgkQ3rYcyPpX
RFvtmQgA0HBBlMdAiLp6v4Yaf4fLy1BfMy9i6kNw1j7DJDH3MwjZPeycOd0gtJDZ
tasKy5cW91FAcv3sY+V0WfOqJ3f8sVUop6c2FsKMiIGqsYhzwiEyOtvWgk3SyNXk
+aLbvxg5jn6Unm5SJLGXFEZwgnp4hTMM4RULzoN1q23FsXG9PlrUZgQ5W5uMM8zh
ygmjYa9crhCUESl175WZg3ILxZ2R1OMuiTooqOSTuxI0et7sUOlObUycEtzkI/Ta
0AVT0opwMCcnnXeto4RBL0sAUTosY2K3EziSh9LnGDwLF44TwsUFKahrlLOWBYD8
gG9rz4eSQLTjKO0tWgaciv6JSSkV1Q==
=Bfea
-----END PGP SIGNATURE-----

--- End Message ---

Reply via email to